# SignedMessage

## Properties

|Name | Type | Description | Notes|
|------------ | ------------- | ------------- | -------------|
|**content** | **string** |  | [optional] [default to undefined]|
|**algorithm** | **string** |  | [optional] [default to undefined]|
|**derivationPath** | **Array&lt;number&gt;** |  | [optional] [default to undefined]|
|**signature** | [**SignedMessageSignature**](SignedMessageSignature.md) |  | [optional] [default to undefined]|
|**publicKey** | **string** |  | [optional] [default to undefined]|


## Enum: SignedMessageAlgorithmEnum


* `EcdsaSecp256K1` (value: `'MPC_ECDSA_SECP256K1'`)

* `EddsaEd25519` (value: `'MPC_EDDSA_ED25519'`)





[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)
